UtiliSoft WinDOS

Contents

WinDOS is a shareware.  If you like this program, please click on the green text that says Registration.  If you pay the $35 we ask for, you will get numerous benefits -

The File List Box

Pattern & DOS Directory Text Boxes

Using Icons For DOS Functions

The Attributes, Text View, & Picture View Forms

TroubleShooting

Registration

This version is shareware.  Please make sure all these files were included in WINDOS.ZIP:

WinDOS.EXE (WinDOS itself)

Setup.EXE (WinDOS' setup program)

DosDir.TXT(Created during setup; not packaged)

RunDOS.COM (Runs DOS commands)

Commdlg.DLL

CmDialog.VBX

VbRun300.DLL

Register.TXT (Form to register WinDOS)

SS3D2.VBX

WinDOS.HLP (This file)

Setupkit.DLL

Threed.VBX

UtiliSoft is renowned for its fine software.  It was rated by numerous shareware magazines.  WinDOS is only $35 dollars.  We ask you register it by simply clicking on the green text labeled "Registration".  Or you can print out the form that comes with WinDOS.


File Box
The File List Box

The File List Box is easy to manipulate.  The "C:" with a picture of a drive by it is manipulated by using the mouse.  The directory and file box will automatically change.  Use standard Windows methods to operate the directory list box.  To operate the file list box, simply press the tab key.  To go through certain files, simply press the Enter or Return Key.  Press enter to highlight the file.  Do not worry about the white box, it is invisible.


Text Box
Pattern & DOS Directory Text Boxes

In an attempt to simulate MS-DOS as best we could, UtiliSoft needs to know your DOS Directory as well as the pattern you'd like.  The pattern is default *.* but you could change it to anything.  The pattern text box specifies the extension and mask of the files in the directory list box.  This means that if you wanted to see all files with the extension of "BAT" with the name of the file starting with "A", you'd type in the following in the pattern box.  a?????.*.  The question mark & asterisk are wildcards.  The asterisk means any extension while the question marks mean each letter can be anything.

The DOS directory list box is easy to use.  You simply type in your MS-DOS drive & directory, i.e. C:\DOS or C:\MSDOS.


Using Icons
Using Icons for MS-DOS Functions

If you are going to be using WinDOS a lot, you need to have the following printed out.  It is your quick reference card.  File | Print Topic will allow you to print this out.

Delete

The delete function is the most commonly used.  Highlight a file.  Now drag the mouse over the icon & drop it.  You'll get a confirmation message.  To delete a directory, simply drag the delete icon over an opened, highlighted directory.

Write

The write feature gives you easy access to write.  Highlight, drap, & drop a file over this icon to edit a file or just drag over it to start the editor.  For more info on the dialog box, consult the next chapter.

 File Copy

 To use the file copy function, simply highlight, drap, and drop a file over the icon.  The result will be an input box asking you for the new name.  Type in the new name or select cancel.

Create Directory

To use the create directory (CD) function, simply drag over this icon.  An input box will ask for a directory name to create.  Type in the desired directory.

PKZIP

To use the pkzip function, simply type in any switches in the switches box and the files to compress.  An example would be if you wanted to compress all files with the extension *.BAT.  To do so, in the switches box, type nothing.  In the files box, type *.BAT.

PKUNZIP

To use the pkunzip function, simply type in any switches and the files to decompress.  For example, to pkunzip the allbat.zip file, simply type nothing in the switches box.  Type in allbat.zip in the files box.

Format

The format function may be the easiest to use.  Simply drag over the icon, and then type in the drive to format.  You'll get a confirmation message.  Format will erase every file on the drive and prepare it to be used.

Disk Copy

To use the disk copy function, simply drag over the icon.  Next type in the drive to copy from and then the drive to copy to.  DiskCopy will copy all the files from one drive to the other.

Disk Compare

To use the disk compare function, simply drag over the icon.  Next type in the drives to compare in each box.

Check Disk

To use the check disk function.  Simply drag over the icon.  You'll get a confirmation message.  The computer will shell to DOS and allow you to look at computer information.

  System Backup

The system backup function copies the autoexec.bat and config.sys to the drive you specify in the input box.

File Attributes

The file attributes function is easy to use.  It will show you if the file is normal, read only, hidden, system, and/or an archive.  Highlight a file.  Next drag it over the icon.  This will bring up a dialog box that shows you the attributes of a file.  Consult the next chapter for more information.

Memory

This function will shell to DOS to show you how much memory you have.  Simply drag over the icon to see your memory usage.

Picture View

To use this function, simply highlight a picture file (A file with the extension of BMP, ICO, WMF).  Next, drag the file over the icon.  A dialog box will be brought up that displays the picture.  Click on OK to unload the dialog box.

Run

The run function runs either a DOS or Windows EXE, PIF, COM, or BAT file.  To use run, simply highlight a file with the aforementioned extensions.  Then drag the file over the icon.  You will be asked for any switches.  Input any switches and click on OK.  The file will run.

File Find

The file find function finds a file.  To use, simply drag over this icon.  Next input the file to find.  You can use the wildcards "?" and/or "*".


The Forms
The Attributes, Text View, and Picture View Forms

The attributes box allows you to change the attributes of a file in a much simpler way than in DOS or even DOSShell.  Simply drag a file over the attributes icon and the result is a form that shows all the attributes as checked.  Simply click on the check to remove it or initialize it.  If you don't know what attributes are, here are explanations:

-Normal

The file is a regular, editable, viewable file.

-Read Only

The file cannot be changed.  It can be only read.

-Hidden

The file is not displayed in a DIR command in DOS.  The file is apparently not there and does not seem to take any space in memory.

-System

The file is a system file that the computer loads.  An example would be the CONFIG.SYS file or AUTOEXEC.BAT.

-Archive

This is a regular file like normal.

The picture view is a very easy way to view picture files.  Although it only supports three formats, it is simple to use.  It is obviously not designed for heavy duty use.  Simply drag a highlighted WMF, BMP, or ICO file over the Picture View icon and the picture will be displayed.

The text view is a great integrated program for light use of text files.  Simple editing functions, saving, and printing functions are included.  It takes true advantage of Windows Drag & Drop.  Simply drag a highlighted text over the notepad icon.  The file will be displayed.  If you just want to start the dialog box without any file, simply drag no file over the icon.  The following list identifies all the file menu commands

-New

Starts a blank new text box and closes the current files.

-Open

Allows you to pick and choose a file to open.

-Save

Allows you to save the current file with its current file name.

-Save As

Allows you to pick and choose a file name to save a file as.

-Print

Allows you to print the current text in the text box

-Close

Closes the text view form and moves to WinDOS' main form


Trouble Shooting

Here are a list of known error messages and why they occur:

File Not Found

If you are trying a delete without a highlighted file, this will happen.  If you tried to perform either PKZIP, PKUNZIP, Format, Disk Copy, Disk Compare, Check Disk, System Backup, Memory Check, or File Find functions and you haven't specified your DOS directory in the DOS directory check box, you'll get this error message.  If you have renamed the aforementioned functions different than their default MS-DOS names.  PKZIP goes by PKZIP.EXE, PKUNZIP goes by PKUNZIP.EXE, Format goes by FORMAT.COM, Disk Copy goes by DISKCOPY.COM, Disk Compare goes by DISKCOMP.COM, Check Disk goes by CHKDSK.EXE, System Backup goes by SYS.COM, Memory Check goes by MEM.EXE, and File Find goes by FF.EXE.

Path Not Found

This will occur if you are trying to copy a file to a path that does not exist or if the file is not highlighted

Path/File Access Error

If you get this message, you probably tried to either perform a function such as deleting on a  write protected disk or if you tried to remove a directory, you didn't open it by double clicking it.


Register WinDOS
Registration

Registration is $35 per copy.  If you are using WinDOS on a network, registration is $30 per computer or $300 for ten users.  Anything beyond 10 users is negotiable.  Please fill out the form.  Registration benefits include:

-Free support for life

-Updates and half off of every UtiliSoft program.

-Fax Service

For help with WinDOS, please call the following numbers:

(818)366-1603

(818)360-7625

Name:_______________________________

Occupation:___________________________________

Phone Number:(_____)_________________________

Street Address #1:________________________________________________

Street Address #2:________________________________________________

City:_________________________

State or Province:_______________________

Zip Code:________________________

Comments about WinDOS:

Thank you and please register!